[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#703487: dpkg-architecture variable do not exist



Package: debian-cd
Version: 3.1.11

CONF.sh calls for 2 dpkg-architecture variables that do not exist.

$ dpkg-architecture -qDEB_HOST_DPKG_CPU
DEB_HOST_DPKG_CPU is not a supported variable name at /usr/bin/dpkg-architecture line 214.
$ dpkg-architecture -qDEB_HOST_DPKG_OS
DEB_HOST_DPKG_OS is not a supported variable name at /usr/bin/dpkg-architecture line 214.

Using the closest variable names I can find in the dpkg-architecture man page.

$ dpkg-architecture -qDEB_HOST_ARCH_CPU
amd64
$ dpkg-architecture -qDEB_HOST_ARCH_OS
linux

Attached please find a patch file that fixes the error.

--
Robert Spencer
--- CONF.sh~	2013-01-15 01:56:42.000000000 +0000
+++ CONF.sh	2013-03-20 09:13:51.000000000 +0000
@@ -84,11 +84,11 @@
 
 # ... for arch
 if [ -z "$ARCHES" ]; then
-	CPU=`dpkg-architecture -qDEB_HOST_DPKG_CPU 2>/dev/null || true`
+	CPU=`dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null || true`
 	if [ -z "$CPU" ]; then
 		CPU=`dpkg-architecture -qDEB_HOST_ARCH`
 	fi
-	KERNEL=`dpkg-architecture -qDEB_HOST_DPKG_OS 2>/dev/null || true`
+	KERNEL=`dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null || true`
 	if [ -z "$KERNEL" ]; then
 		KERNEL=linux
 	fi

Reply to: